---
title: Exponentiation (**)
slug: Web/JavaScript/Reference/Operators/Exponentiation
tags:
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The exponentiation operator (<code>**</code>) returns the result of raising the first operand to the power of the second operand. It is equivalent to <code>Math.pow</code>, except it also accepts BigInts as operands.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-exponentiation.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><strong>Operator:</strong> <var>var1</var> ** <var>var2</var>
</pre>

<h2 id="Description">Description</h2>

<p>The exponentiation operator is right-associative: <code><var>a</var> ** <var>b</var> ** <var>c</var></code> is equal to <code><var>a</var> ** (<var>b</var> ** <var>c</var>)</code>.</p>

<p>In most languages, such as PHP, Python, and others that have an exponentiation operator (<code>**</code>), the exponentiation operator is defined to have a higher precedence than unary operators, such as unary <code>+</code> and unary <code>-</code>, but there are a few exceptions. For example, in Bash, the <code>**</code> operator is defined to have a lower precedence than unary operators.</p>

<p>In JavaScript, it is impossible to write an ambiguous exponentiation expression. That is, you cannot put a unary operator (<code>+/-/~/!/delete/void/typeof</code>) immediately before the base number; doing so will cause a SyntaxError.</p>

<pre class="brush: js notranslate">-2 ** 2;
// 4 in Bash, -4 in other languages.
// This is invalid in JavaScript, as the operation is ambiguous.

-(2 ** 2);
// -4 in JavaScript and the author's intention is unambiguous.
</pre>

<p>Note that some programming languages use the caret symbol <kbd>^</kbd> for exponentiation, but JavaScript uses that symbol for the <a href="/en-US/docs/Web/JavaScript/Reference/Operators/Bitwise_Operators#Bitwise_XOR">bitwise logical XOR operator</a>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_exponentiation">Basic exponentiation</h3>

<pre class="brush: js notranslate">2 ** 3   // 8
3 ** 2   // 9
3 ** 2.5 // 15.588457268119896
10 ** -1 // 0.1
NaN ** 2 // NaN
</pre>

<h3 id="Associativity">Associativity</h3>

<pre class="brush: js notranslate">2 ** 3 ** 2   // 512
2 ** (3 ** 2) // 512
(2 ** 3) ** 2 // 64</pre>

<h3 id="Usage_with_unary_operators">Usage with unary operators</h3>

<p>To invert the sign of the result of an exponentiation expression:</p>

<pre class="brush: js notranslate">-(2 ** 2) // -4
</pre>

<p>To force the base of an exponentiation expression to be a negative number:</p>

<pre class="brush: js notranslate">(-2) ** 2 // 4
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-exp-operator', 'Exponentiation operator')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.exponentiation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Addition">Addition operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Subtraction">Subtraction operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Division">Division operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Multiplication">Multiplication operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Remainder">Remainder operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Increment">Increment operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Decrement">Decrement operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_negation">Unary negation operator</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Unary_plus">Unary plus operator</a></li>
</ul>
